#
# spec file for package skype4pidgin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           skype4pidgin
Version:        0.0.1.rev708
Release:        4.2
# FIXME: on new upstream version, change <= Obsoletes to < (last checked: 0.0.1.rev624)
Summary:        Libpurple plugin for Skype API
License:        GPL-3.0+
Group:          Productivity/Networking/Instant Messenger
Url:            http://eion.robbmob.com/
Source0:        %{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE skype4pidgin-libdir.patch vuntz@opensuse.org -- Do not hardcode /usr/lib
Patch0:         skype4pidgin-libdir.patch
BuildRequires:  dbus-1-devel
BuildRequires:  glib2-devel
BuildRequires:  libpurple-devel
# For directory ownership
BuildRequires:  pidgin
BuildRequires:  xorg-x11-libX11-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a Skype Plugin for Pidgin/libpurple/Adium. It lets you view and
chat with all your Skype buddies from within Pidgin/Adium.

You still need Skype to be running to be able to use it, but it lets you
keep a consistent user interface and use all the other nifty
Pidgin/Adium plugins with it, like spell-checking or OTR encryption.

%package -n libpurple-plugin-skype
Summary:        Libpurple plugin for Skype API
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple
Recommends:     libpurple-plugin-skype-lang
Enhances:       libpurple

%description -n libpurple-plugin-skype
This is a Skype Plugin for Pidgin/libpurple/Adium. It lets you view and
chat with all your Skype buddies from within Pidgin/Adium.

You still need Skype to be running to be able to use it, but it lets you
keep a consistent user interface and use all the other nifty
Pidgin/Adium plugins with it, like spell-checking or OTR encryption.

%package -n pidgin-plugin-skype
Summary:        Pidgin plugin for Skype API
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple-plugin-skype = %{version}
Requires:       pidgin
Supplements:    packageand(libpurple-plugin-skype:pidgin}
Enhances:       pidgin
# Provide upstream name
Provides:       %{name} = %{version}
# Also obsolete upstream name, as it was packaged this way before.
# FIXME: change <= to < when we have a new upstream version (last checked: 0.0.1.rev624)
Obsoletes:      %{name} <= %{version}

%description -n pidgin-plugin-skype
This is a Skype Plugin for Pidgin/libpurple/Adium. It lets you view and
chat with all your Skype buddies from within Pidgin/Adium.

You still need Skype to be running to be able to use it, but it lets you
keep a consistent user interface and use all the other nifty
Pidgin/Adium plugins with it, like spell-checking or OTR encryption.

%lang_package -n libpurple-plugin-skype
%prep
%setup -q
%patch0 -p1

%build
make all

%install
%make_install LIB=%{_lib}
# Manually install translations
test ! -d %{buildroot}%{_datadir}/locale
mkdir -p %{buildroot}%{_datadir}/locale
for MOFILE in po/*.mo; do
  LOCALE=`basename ${MOFILE} | sed 's:\.mo$::g'`
  install -D -m 0644 ${MOFILE} %{buildroot}%{_datadir}/locale/${LOCALE}/LC_MESSAGES/%{name}.mo
done
%find_lang %{name}

%files -n libpurple-plugin-skype
%defattr(-,root,root,-)
%doc CHANGELOG.txt COPYING.txt README.txt
%{_libdir}/purple-2/libskype.so
%{_libdir}/purple-2/libskype_dbus.so

%files -n pidgin-plugin-skype
%defattr(-,root,root,-)
%doc CHANGELOG.txt COPYING.txt README.txt
%{_datadir}/pixmaps/pidgin/emotes/skype/
%{_datadir}/pixmaps/pidgin/protocols/*/skype.png
%{_datadir}/pixmaps/pidgin/protocols/*/skypeout.png

%files -n libpurple-plugin-skype-lang -f %{name}.lang

%changelog
* Thu Feb  5 2015 dimstar@opensuse.org
- Update to SVN rev 724 (boo#916210):
  + 3 years worth of fixes and improvements.
* Fri Jan 13 2012 vuntz@opensuse.org
- Cleanup for inclusion in Factory:
  + Create libpurple-plugin-skype and pidgin-plugin-skype
    subpackages, to follow the standard libpurple/pidgin plugin
    package names. Use appropriate Provides/Obsoletes for
    skype4pidgin name.
  + Add explicit dbus-1-devel and glib2-devel BuildRequires.
  + Remove unneeded pkgconfig(gstreamer-0.10) BuildRequires.
  + Add pidgin BuildRequires for directory ownership.
  + Replace Makefile.diff with simpler skype4pidgin-libdir.patch.
  + Fix license tag to be GPL-3.0+ instead of GPL-3.0.
  + Improve summaries and descriptions.
  + Manually install translations and create a lang subpackage.
* Wed Nov 30 2011 alinm.elena@gmail.com
- source checkout out from this svn
  http://skype4pidgin.googlecode.com/svn/trunk
* Sat Oct 15 2011 alinm.elena@gmail.com
- initial commit-
